QGIS Application - Bug report #19758
Processing: merge vector layers produces duplicated fid
2018-09-03 04:40 PM - Jérome Guélat

Status: Open

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.2.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27583
Description

Here's how to reproduce the bug:

1. Add the 3 layers from the attached GeoPackage (pol.gpkg)
2. Open the merge vector layers tool in Processing, choose the 3 layers and save to a temporary layer

3. The resulting layer has features with the same fid, and hence can't be saved to a new GeoPackage without manually editing the fid

values

4. Alternatively if you save directly to GeoPackage (instead of using a temporary layer), the tool produces a wrong output

A similar bug happens with other tools (see #19708). This fid problem makes Processing almost unusable with GeoPackages.

Related issues:

Related to QGIS Application - Bug report # 19998: Cannot export output of 'Po... Closed 2018-10-02
Related to QGIS Application - Bug report # 19708: Processing: Join attributes... Closed 2018-08-27
History

#1 - 2018-09-03 05:07 PM - Giovanni Manghi
- Category changed from Processing/QGIS to Processing/Core

| agree this an annoying consequence of having moved to geopackage outputs by default.

#2 - 2018-09-04 02:54 PM - Jiirgen Fischer

- Description updated

#3 - 2018-10-03 02:04 PM - Giovanni Manghi
- Related to Bug report #19998: Cannot export output of 'Points along geometry' tool as Geopackage added

#4 - 2018-10-08 12:47 PM - Andrea Giudiceandrea
- Related to Bug report #19708: Processing: Join attributes by location produces duplicated fid added

Files

pol.gpkg 152 KB 2018-09-03
